using System;
using System.Collections.ObjectModel;

internal sealed class Delegate656 : MulticastDelegate
{
	public extern ReadOnlyCollection<Exception> Invoke(object object_0);

	public static ReadOnlyCollection<Exception> smethod_0(object object_0, Delegate656 delegate656_1)
	{
		return delegate656_1(object_0);
	}

	public extern Delegate656(object object_0, IntPtr intptr_0);

	static Delegate656()
	{
		Class10.smethod_13(typeof(Delegate656).TypeHandle);
	}

	internal static Delegate656 delegate656_0;
}
